Show / Hide Table of Contents

# Class RequestContext<TResult>

##### Inheritance

System.Object
RequestContext<TResult>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class RequestContext<TResult>

##### Type Parameters

Name | Description
--- | ---
TResult |

### Constructors

| Improve this Doc View Source

#### RequestContext()

##### Declaration

    public RequestContext()

| Improve this Doc View Source

#### RequestContext(Message, MessageWriter)

##### Declaration

    public RequestContext(Message requestMessage, MessageWriter messageWriter)

##### Parameters

Type | Name | Description
--- | --- | ---
Message | requestMessage |
MessageWriter | messageWriter |

### Methods

| Improve this Doc View Source

#### SendError(Object)

##### Declaration

    public virtual Task SendError(object errorDetails)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | errorDetails |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### SendEvent<TParams>(EventType<TParams>, TParams)

##### Declaration

    public virtual Task SendEvent<TParams>(EventType<TParams> eventType, TParams eventParams)

##### Parameters

Type | Name | Description
--- | --- | ---
EventType<TParams> | eventType |
TParams | eventParams |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Type Parameters

Name | Description
--- | ---
TParams |

| Improve this Doc View Source

#### SendResult(TResult)

##### Declaration

    public virtual Task SendResult(TResult resultDetails)

##### Parameters

Type | Name | Description
--- | --- | ---
TResult | resultDetails |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |